From f8ded248e18fc748137ff076e130be1dc94d96f0 Mon Sep 17 00:00:00 2001
From: Jeffrey C. Ollie <jeff@ocjtech.us>
Date: Sat, 25 Aug 2007 22:40:49 -0500
Subject: [PATCH] Fix 64bit issues in self-tests.

---
 test/tst-sax.c |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

diff --git a/test/tst-sax.c b/test/tst-sax.c
index 77a5c13..40e3a3f 100644
--- a/test/tst-sax.c
+++ b/test/tst-sax.c
@@ -282,71 +282,71 @@ int
 main (int argc, char *argv[])
 {
 	document ("<lonely/>");
-	element (IKS_TAG, IKS_SINGLE, "lonely", 0);
+	element (IKS_TAG, IKS_SINGLE, "lonely", NULL);
 	test ();
 
 	document ("<?xml version='1.0'?><parent><child/><child/>child</parent>");
-	element (IKS_TAG, IKS_OPEN, "parent", 0);
-	element (IKS_TAG, IKS_SINGLE, "child", 0);
-	element (IKS_TAG, IKS_SINGLE, "child", 0);
+	element (IKS_TAG, IKS_OPEN, "parent", NULL);
+	element (IKS_TAG, IKS_SINGLE, "child", NULL);
+	element (IKS_TAG, IKS_SINGLE, "child", NULL);
 	element (IKS_CDATA, "child");
 	element (IKS_TAG, IKS_CLOSE, "parent");
 	test ();
 
 	document ("<mytag abc='123' id=\"XC72\"></mytag>");
-	element (IKS_TAG, IKS_OPEN, "mytag", "abc", "123", "id", "XC72", 0);
+	element (IKS_TAG, IKS_OPEN, "mytag", "abc", "123", "id", "XC72", NULL);
 	element (IKS_TAG, IKS_CLOSE, "mytag");
 	test ();
 
 	document ("<body>I&apos;m fixing parser&amp;tester for &quot;&lt;&quot; and &quot;&gt;&quot; chars.</body>");
-	element (IKS_TAG, IKS_OPEN, "body", 0);
+	element (IKS_TAG, IKS_OPEN, "body", NULL);
 	element (IKS_CDATA, "I'm fixing parser&tester for \"<\" and \">\" chars.");
 	element (IKS_TAG, IKS_CLOSE, "body");
 	test ();
 
 	document ("<tag a='1' b='2' c='3' d='4' e='5' f='6' g='7' id='xyz9'><sub></sub></tag>");
-	element (IKS_TAG, IKS_OPEN, "tag", "a", "1", "b", "2", "c", "3", "d", "4", "e", "5", "f", "6", "g", "7", "id", "xyz9", 0);
-	element (IKS_TAG, IKS_OPEN, "sub", 0);
+	element (IKS_TAG, IKS_OPEN, "tag", "a", "1", "b", "2", "c", "3", "d", "4", "e", "5", "f", "6", "g", "7", "id", "xyz9", NULL);
+	element (IKS_TAG, IKS_OPEN, "sub", NULL);
 	element (IKS_TAG, IKS_CLOSE, "sub");
 	element (IKS_TAG, IKS_CLOSE, "tag");
 	test ();
 
 	document ("<item url='http://jabber.org'><!-- little comment -->Jabber Site</item>");
-	element (IKS_TAG, IKS_OPEN, "item", "url", "http://jabber.org", 0);
+	element (IKS_TAG, IKS_OPEN, "item", "url", "http://jabber.org", NULL);
 	element (IKS_CDATA, "Jabber Site");
 	element (IKS_TAG, IKS_CLOSE, "item");
 	test ();
 
 	document ("<index><!-- <item> - tag has no childs --><item name='lala' page='42'/></index>");
-	element (IKS_TAG, IKS_OPEN, "index", 0);
-	element (IKS_TAG, IKS_SINGLE, "item", "name", "lala", "page", "42", 0);
+	element (IKS_TAG, IKS_OPEN, "index", NULL);
+	element (IKS_TAG, IKS_SINGLE, "item", "name", "lala", "page", "42", NULL);
 	element (IKS_TAG, IKS_CLOSE, "index");
 	test ();
 
 	document ("<ka>1234<![CDATA[ <ka> lala ] ]] ]]] ]]>4321</ka>");
-	element (IKS_TAG, IKS_OPEN, "ka", 0);
+	element (IKS_TAG, IKS_OPEN, "ka", NULL);
 	element (IKS_CDATA, "1234 <ka> lala ] ]] ]]] 4321");
 	element (IKS_TAG, IKS_CLOSE, "ka");
 	test ();
 
 	document ("<test><standalone be='happy'/>abcd<br/>&lt;escape&gt;</test>");
-	element (IKS_TAG, IKS_OPEN, "test", 0);
-	element (IKS_TAG, IKS_SINGLE, "standalone", "be", "happy", 0);
+	element (IKS_TAG, IKS_OPEN, "test", NULL);
+	element (IKS_TAG, IKS_SINGLE, "standalone", "be", "happy", NULL);
 	element (IKS_CDATA, "abcd");
-	element (IKS_TAG, IKS_SINGLE, "br", 0);
+	element (IKS_TAG, IKS_SINGLE, "br", NULL);
 	element (IKS_CDATA, "<escape>");
 	element (IKS_TAG, IKS_CLOSE, "test");
 	test ();
 
 	document ("<a><b>john&amp;mary<c><d e='f' g='123456' h='madcat' klm='nop'/></c></b></a>");
-	element (IKS_TAG, IKS_OPEN, "a", 0);
-	element (IKS_TAG, IKS_OPEN, "b", 0);
+	element (IKS_TAG, IKS_OPEN, "a", NULL);
+	element (IKS_TAG, IKS_OPEN, "b", NULL);
 	element (IKS_CDATA, "john&mary");
-	element (IKS_TAG, IKS_OPEN, "c", 0);
-	element (IKS_TAG, IKS_SINGLE, "d", "e", "f", "g", "123456", "h", "madcat", "klm", "nop", 0);
-	element (IKS_TAG, IKS_CLOSE, "c", 0);
-	element (IKS_TAG, IKS_CLOSE, "b", 0);
-	element (IKS_TAG, IKS_CLOSE, "a", 0);
+	element (IKS_TAG, IKS_OPEN, "c", NULL);
+	element (IKS_TAG, IKS_SINGLE, "d", "e", "f", "g", "123456", "h", "madcat", "klm", "nop", NULL);
+	element (IKS_TAG, IKS_CLOSE, "c", NULL);
+	element (IKS_TAG, IKS_CLOSE, "b", NULL);
+	element (IKS_TAG, IKS_CLOSE, "a", NULL);
 	test ();
 
 	document ("<test>\xFF</test>");
-- 
1.5.2.4

